version: "3.8"
services: 
  server:
    image: mongo:4
    command:
      [
        "mongod",
        "--tlsMode", "requireTLS",
        "--tlsCertificateKeyFile", "/tls/pem",
        "--tlsCAFile", "/tls/ca.pem"
      ]
    volumes:
      - "${TLS_HOME}/server:/tls:ro"
  
  client:
    image: mongo:4
    command:
      [
        "mongo",
        "--host", "server",
        "--eval", "db",
        "--tls",
        "--tlsCAFile", "/tls/ca.pem",
        "--tlsCertificateKeyFile", "/tls/pem"
      ]
    volumes:
      - "${TLS_HOME}/client:/tls:ro"
